Bug 253609 - security/openconnect-gui: update to 1.5.3
Summary: security/openconnect-gui: update to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-18 03:42 UTC by Steve Wills
Modified: 2021-02-26 01:09 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
patch (11.29 KB, patch)
2021-02-18 03:42 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2021-02-18 03:42:57 UTC
Created attachment 222545 [details]
patch
Comment 1 Piotr Kubaj freebsd_committer 2021-02-20 15:57:08 UTC
Patch is getting rejected:
U         security/openconnect-gui/Makefile
U         security/openconnect-gui/distinfo
A         security/openconnect-gui/files/patch-CMake_Includes_ProjectDependencies.cmake
A         security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals.cmake
A         security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake
C         security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
>         rejected hunk @@ -1,14 +1,12 @@
U         security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake
A         security/openconnect-gui/files/patch-src_FileLogger.h
A         security/openconnect-gui/files/patch-src_dialog_mainwindow.cpp
D         security/openconnect-gui/files/patch-src_vpninfo.cpp
D         security/openconnect-gui/files/patch-src_vpninfo.h
Summary of conflicts:
  Text conflicts: 1
Comment 2 Steve Wills freebsd_committer 2021-02-20 16:28:33 UTC
(In reply to Piotr Kubaj from comment #1)
It applies cleanly here with patch -p2:

Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/Makefile security/openconnect-gui/Makefile
|index 7f8767736b40..fff1b89055b2 100644
|--- security/openconnect-gui/Makefile
|+++ security/openconnect-gui/Makefile
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 2.
Hunk #2 succeeded at 15.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/distinfo security/openconnect-gui/distinfo
|index 1e38ca03a4e9..ad5d52fe9440 100644
|--- security/openconnect-gui/distinfo
|+++ security/openconnect-gui/distinfo
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-CMake_Includes_ProjectDependencies.cmake security/openconnect-gui/files/patch-CMake_Includes_ProjectDependencies.cmake
|new file mode 100644
|index 000000000000..9f3dd5c09e4d
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectDependencies.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectDependencies.cmake...)
Patching file files/patch-CMake_Includes_ProjectDependencies.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals.cmake security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals.cmake
|new file mode 100644
|index 000000000000..aa7066bd3835
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectExternals.cmake...)
Patching file files/patch-CMake_Includes_ProjectExternals.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake
|new file mode 100644
|index 000000000000..3604ecf590cc
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake...)
Patching file files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-CMakeLists.txt security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
|similarity index 62%
|rename from security/openconnect-gui/files/patch-CMakeLists.txt
|rename to security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
|index f5057cc41f4c..684409b827d2 100644
|--- security/openconnect-gui/files/patch-CMakeLists.txt
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
--------------------------
Patching file files/patch-CMakeLists.txt using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake
|index 15ea1966dda1..5cf147facbcc 100644
|--- security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake
|+++ security/openconnect-gui/files/patch-CMake_Includes_git__revision__main.cmake
--------------------------
Patching file files/patch-CMake_Includes_git__revision__main.cmake using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-src_FileLogger.h security/openconnect-gui/files/patch-src_FileLogger.h
|new file mode 100644
|index 000000000000..d45920407d2d
|--- /dev/null
|+++ security/openconnect-gui/files/patch-src_FileLogger.h
--------------------------
(Creating file files/patch-src_FileLogger.h...)
Patching file files/patch-src_FileLogger.h using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-src_dialog_mainwindow.cpp security/openconnect-gui/files/patch-src_dialog_mainwindow.cpp
|new file mode 100644
|index 000000000000..7741060b8008
|--- /dev/null
|+++ security/openconnect-gui/files/patch-src_dialog_mainwindow.cpp
--------------------------
(Creating file files/patch-src_dialog_mainwindow.cpp...)
Patching file files/patch-src_dialog_mainwindow.cpp using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-src_vpninfo.cpp security/openconnect-gui/files/patch-src_vpninfo.cpp
|deleted file mode 100644
|index 90d3897d1374..000000000000
|--- security/openconnect-gui/files/patch-src_vpninfo.cpp
|+++ /dev/null
--------------------------
Patching file files/patch-src_vpninfo.cpp using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff --git security/openconnect-gui/files/patch-src_vpninfo.h security/openconnect-gui/files/patch-src_vpninfo.h
|deleted file mode 100644
|index 707f4ba83c22..000000000000
|--- security/openconnect-gui/files/patch-src_vpninfo.h
|+++ /dev/null
--------------------------
Patching file files/patch-src_vpninfo.h using Plan A...
Hunk #1 succeeded at 0.
done
Comment 3 Piotr Kubaj freebsd_committer 2021-02-25 17:17:06 UTC
Well.
pkubaj@KGPE-D16:/home/pkubaj/ports/security/openconnect-gui # patch -p 2 -i ../../attachment.cgi\?id=222545\&action=diff\&format=raw\&headers=1

Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- security/openconnect-gui/Makefile
|+++ security/openconnect-gui/Makefile
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 2 with fuzz 1.
Hunk #2 succeeded at 15.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- security/openconnect-gui/distinfo
|+++ security/openconnect-gui/distinfo
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectDependencies.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectDependencies.cmake...)
Patching file files/patch-CMake_Includes_ProjectDependencies.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectExternals.cmake...)
Patching file files/patch-CMake_Includes_ProjectExternals.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- /dev/null
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake
--------------------------
(Creating file files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake...)
Patching file files/patch-CMake_Includes_ProjectExternals__qt-solutions.cmake using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
|+++ security/openconnect-gui/files/patch-CMake_Includes_ProjectSettings.cmake
--------------------------
File to patch:
Comment 4 Steve Wills freebsd_committer 2021-02-25 18:02:35 UTC
(In reply to Piotr Kubaj from comment #3)

These two URLs return different contents:

https://bz-attachments.freebsd.org/attachment.cgi?id=222545
https://bz-attachments.freebsd.org/attachment.cgi?id=222545&action=diff&format=raw&headers=1

They look the same on screen, but look at their check-sums or compare them.

I was able to reproduce the issue you're seeing with the second URL but not with the first. Please use the contents of the first URL above.
Comment 5 Piotr Kubaj freebsd_committer 2021-02-26 01:09:03 UTC
Thanks!